Download it now!
Bug 131991 - Exchanged mousewheel scroll behaviour of Customization dialog in RTL (Arabic) UI (kf5)
Summary: Exchanged mousewheel scroll behaviour of Customization dialog in RTL (Arabic)...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.6
Keywords: implementationError
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2020-04-09 05:06 UTC by Rizal Muttaqin
Modified: 2020-06-29 05:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-04-09 05:06:44 UTC
When using Arabic language, the scrollbar behaviour in Customization dialog switched between Available Commands and Assigned Commands.

Step to reproduce
1. Change UI language to Arabic or may be other RTL UI (Persian, Hebrew or Urdu)
2. Open Writer or other module then go to Tools > Customize..
3. Place the cursor in the Assigned Commands list box and then scroll >> the list in Available Commands scrolled
4. Place the cursor in the Available Commands list box and then scroll >> the list in Assigned Commands scrolled

Affected version:

Version: 7.0.0.0.alpha0+
Build ID: 0dd48d1a9a716456ff1ebe67e19881ad2f56939b
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-03-31_14:07:24
Locale: id-ID (id_ID.UTF-8); UI-Language: ar-SA
Calc: threaded

====================
إصدارة: 6.4.2.2
معرّف البناء: 1:6.4.2-0ubuntu0.18.04.3
خيوط المعالج: 4; نظام التَّشغيل: Linux 4.20; مصيّر الواجهة: المبدئيّ; VCL: kf5; 
المحليّة: id-ID (id_ID.UTF-8); لغة الواجهة الرسومية: ar-SA
Calc: threaded

=====================

Version: 6.3.5.2
Build ID: dd0751754f11728f69b42ee2af66670068624673
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kde5; 
Locale: id-ID (id_ID.UTF-8); UI-Language: ar-SA
Calc: threaded

=====================

Version: 6.2.0.3
Build ID: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kde5; 
Locale: id-ID (id_ID.UTF-8); UI-Language: ar-SA
Calc: threaded

>>>>>>>>>>>>>>>>>>>>>>

Not affected:

Version: 6.1.5.2
Build ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kde4; 
Locale: id-ID (id_ID.UTF-8); Calc: group threaded
Comment 1 Buovjaga 2020-06-27 15:11:05 UTC
I launched with

SAL_RTL_ENABLED=1 libreoffice

and can confirm that with mousewheel scrolling the opposite listbox always scrolls.

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 076c95b27bf0e9be1fa1c077674cf974b22210fd
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 27 June 2020
Comment 2 Buovjaga 2020-06-27 15:28:48 UTC
Not a regression: this only affects kf5 backend. Tested on Win as well.
Comment 3 Commit Notification 2020-06-28 01:11:14 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9eda78fd53fe3c76eb9d4b63add68f266f551b10

tdf#131991 Qt5 RTL mirror mouse wheel X position

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Rizal Muttaqin 2020-06-28 01:27:33 UTC
(In reply to Commit Notification from comment #3)
> Jan-Marek Glogowski committed a patch related to this issue.
> It has been pushed to "master":
> 
> https://git.libreoffice.org/core/commit/
> 9eda78fd53fe3c76eb9d4b63add68f266f551b10
> 
> tdf#131991 Qt5 RTL mirror mouse wheel X position
> 
> It will be available in 7.1.0.
> 
> The patch should be included in the daily builds available at
> https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> https://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

Thank you Jan for the patch!
Comment 5 Commit Notification 2020-06-28 21:48:08 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/8c4fac5bbd2c042c81ce9633637f60ba091f003e

tdf#131991 Qt5 RTL mirror mouse wheel X position

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-29 05:14:13 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/855f17c5f683ab1dacf411ac410f237700a8fbcf

tdf#131991 Qt5 RTL mirror mouse wheel X position

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.